Menu

## QRCodeTest extends TestCase
in package

QRCodeTest.php : 21

Tests basic functions of the QRCode class

### Table of Contents

$options : QROptions
$qrcode : QRCode
testGetMatrixException() : void
  tests if an exception is thrown when trying to call getMatrix() without data (empty string, no data set)
testInitOutputInterfaceException() : void
  tests if an exception is thrown when an invalid (built-in) output type is specified
setUp() : void
  invoke test instances

### Properties

#### $options

QRCodeTest.php : 24
`private QROptions $options`

#### $qrcode

QRCodeTest.php : 23
`private QRCode $qrcode`

### Methods

#### testGetMatrixException()

QRCodeTest.php : 49

tests if an exception is thrown when trying to call getMatrix() without data (empty string, no data set)

`public testGetMatrixException() : void`

##### Return values

void —

#### testInitOutputInterfaceException()

QRCodeTest.php : 37

tests if an exception is thrown when an invalid (built-in) output type is specified

`public testInitOutputInterfaceException() : void`

##### Return values

void —

#### setUp()

QRCodeTest.php : 29

invoke test instances

`protected setUp() : void`

##### Return values

void —

## Search results